LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   vmware help in fc8 (http://www.linuxquestions.org/questions/linux-software-2/vmware-help-in-fc8-600425/)

acromez 11-17-2007 01:48 PM

vmware help in fc8
 
when ever i install it give this msg

None of the pre-built vmmon modules for VMware Workstation is suitable for your
running kernel. Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/usr/src/linux/include]

hav tried yum install kernel kernel-devel but it says u hav latest

plzplzpzl ppl HELP me :(:(:(:(:(:(

Lenard 11-17-2007 02:11 PM

Show us please; rpm -qa 'kernel*'

BTW; you also need to have the kernel-headers package(s) installed.

acromez 11-17-2007 02:14 PM

guide me how to install it thankz :)

acromez 11-17-2007 02:19 PM

kernel-2.6.23.1-42.fc8
kernel-2.6.23.1-49.fc8

acromez 11-17-2007 02:27 PM

update kernel header but nth happen more help plz

Lenard 11-17-2007 06:13 PM

First you do not have the kernel-devel package installed for either kernel.

As root type: yum install kernel-devel kernel-headers

acromez 11-18-2007 12:33 AM

[root@localhost ~]# yum install kernel-devel kernel-headers
Setting up Install Process
Parsing package install arguments
Package kernel-devel - 2.6.23.1-49.fc8.i686 is already installed.
Package kernel-headers - 2.6.23.1-49.fc8.i386 is already installed.
Resolving Dependencies
--> Running transaction check
---> Package kernel-devel.i686 0:2.6.23.1-42.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
Package Arch Version Repository Size
=============================================================================
Installing:
kernel-devel i686 2.6.23.1-42.fc8 fedora 4.8 M

Transaction Summary
=============================================================================
Install 1 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 4.8 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
package kernel-devel-2.6.23.1-49.fc8 (which is newer than kernel-devel-2.6.23.1-42.fc8) is already installed

Error Summary
-------------

[root@localhost ~]#
nth happened

acromez 11-18-2007 12:34 AM

Plz Do Something Lenard

acromez 11-18-2007 05:52 AM

plz add me on yahoo acromez@yahoo.de

Lenard 11-18-2007 08:09 AM

Are you running the 2.6.23.1-49.fc8 kernel, the same one that has the kernel-devel and kernel-headers installed???

uname -a

Please make sure you did type the command I posted earlier, you should have seen both kernels, the kernel-devel and kernel-headers packages, for example;

$ rpm -qa 'kernel*'
kernel-2.6.18-8.1.15.el5.x86_64
kernel-devel-2.6.18-53.el5.x86_64
kernel-headers-2.6.18-53.el5.x86_64
kernel-2.6.18-53.el5.x86_64

acromez 11-18-2007 11:41 AM

sorry lenard i forget to write it

kernel-devel-2.6.23.1-49.fc8
kernel-headers-2.6.23.1-49.fc8
kernel-2.6.23.1-42.fc8
kernel-2.6.23.1-49.fc8
kernel-xen-2.6.21-2950.fc8

Lenard 11-18-2007 03:11 PM

Once again, you have to be running the 2.6.23.1-49 kernel in order for the VMWare installer to work. You may need to answer the question and tell the installer where these files are also, for example;

/usr/src/kernels/<version_number>/include

.

acromez 11-19-2007 04:45 AM

how do i run this kernel???

acromez 11-19-2007 06:13 AM

plz explain me in detail

Lenard 11-19-2007 06:16 AM

Boot the system to the new kernel!!! You will be given th chance to do so when booting.


All times are GMT -5. The time now is 04:37 AM.